From: Boyuan Yang <byang@debian.org>
Date: Thu, 21 Oct 2021 22:12:00 -0400
Subject: Makefile fix

---
 Makefile | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/Makefile b/Makefile
index 40092cf..bf86096 100644
--- a/Makefile
+++ b/Makefile
@@ -19,22 +19,22 @@ CFLAGS ?= -Wall -g -O2 -pipe -DBINDIR=\"$(BINDIR)\"
 all: $(BIN) $(SBIN)
 
 rlogin: rlogin.c
-	$(CC) $(CFLAGS) -o $@ $<
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $<
 
 in.rlogind: rlogind.c
-	$(CC) $(CFLAGS) -lutil -lpam -o $@ $<
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $< -lutil -lpam
 
 rsh: rsh.c
-	$(CC) $(CFLAGS) -o $@ $<
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $<
 
 in.rshd: rshd.c
-	$(CC) $(CFLAGS) -lpam -o $@ $<
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $< -lpam
 
 install: install-bin install-sbin install-man install-pam
 
 install-bin: $(BIN)
 	mkdir -p $(DESTDIR)$(BINDIR)
-	$(INSTALL) -m 4711 $(BIN) $(DESTDIR)$(BINDIR)/
+	$(INSTALL) -m 4755 $(BIN) $(DESTDIR)$(BINDIR)/
 
 install-sbin: $(SBIN)
 	mkdir -p $(DESTDIR)$(SBINDIR)
